
##  Gestion des utilisateurs dans ScoDoc 
ScoDoc gère sa liste d'utilisateurs (enseignants, secrétaires) dans 
une base de données SQL. 


<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> Il est prévu de développer un connecteur vers LDAP, mais ce n'est pas encore disponible (avis aux volontaires, voir https://www-lipn.univ-paris13.fr/projects/scodoc/ticket/140)


###  Base de données utilisateurs 
Il est conseillé de placer la table utilisateurs dans une base de données séparées de celle
des notes, afin de pouvoir la partager entre plusieurs UFRs ou départements sans compromettre
la sécurité des données. Dans l'installation standard ([GuideInstallDebianDix](GuideInstallDebianDix.md)), il s'agit de la base
**SCOUSERS**.

La table **sco_users** contient:

      **Colonne**      | **Type** ||                Contenu   
      ----------   | ----- | -----             
 user_id           | text | identifiant interne unique 
 user_name         | text | nom de login 
 passwd            | text | hash password 
 roles             | text | liste des noms de rôles, séparés par des virgules
date_modif_passwd | date  | 
 nom               | text | 
 prenom            | text | 
 email             | text | adresse mail 
 dept              | text | département de rattachement (exemple "RT") 


<img src="/img/alert.png" style="vertical-align: bottom; margin:0 0 0 0;" alt="/!\" /> encodage `utf-8`, sauf si vous avez modifié l'installation.

Pour la signification des rôles et l'utilisation du département, voir [ConfigPermissions](ConfigPermissions.md).

